Subject: Re: bug#1212: 23.0.60; split-string-and-unquote problems

From: Andreas Schwab <[email-masked]>
Date: Mon, 20 Oct 2008 19:08:35 +0200

Eli Zaretskii <[email-masked]> writes:

> The function split-string-and-unquote is a great help in taking apart
> shell command lines, but the values it returns seem incorrect in some
> situations, at least from shell command quoting perspective:

The docstring of split-string-and-unquote doesn't mention the word
"shell" anywhere.  Why do you think that "Emacs Lisp quoting" has
anything to do with "shell command quoting"?

Andreas.

-- 
Andreas Schwab, SuSE Labs, [email-masked]
SuSE Linux Products GmbH, Maxfeldstraße 5, 90409 Nürnberg, Germany
PGP key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."